package com.friday.operation.api.keepalive.service.taieoc;

import com.friday.operation.api.tooldriver.dto.rpa.GroupDto;
import com.friday.base.common.response.DubboResult;
import com.friday.operation.api.keepalive.dto.taieoc.GroupPageDto;
import com.friday.operation.api.keepalive.dto.taieoc.OcGroupFilterDto;
import com.friday.operation.api.keepalive.dto.taieoc.OcTenantSelectDto;

import java.util.ArrayList;

public interface IGroupManage {
    DubboResult createGroup(OcTenantSelectDto tenantSelectDto, GroupDto group);

    DubboResult<ArrayList<GroupPageDto>> queryGroups(OcGroupFilterDto filterDto);

    DubboResult deleteGroupByKey(String key);

    DubboResult<GroupPageDto> queryGroupDetail(Long groupId);
}
